# Ciarence's Unbelievable Modifications
### Collection of changes that were too small to release individually

## Changelog
`1.0.0`  
Initial release

`1.1.0`
New features:
- Fixes a typo in the Bomb Bot that used to soft-lock the game.
- Adds an option to customize the colour of the turrets' camera.
- Adds a disco mode that randomly cycles the turrets' camera colour.

`1.2.0`
New features: 
- Adds an option to customize the colour of the Shock Drones and Security Cameras' cameras. Also affected by disco mode.

`1.3.0`
New features: 
- Adds custom colour support for the flashlight, as well as a disco mode.

`1.4.0`
New features: 
- Adds custom colour support for the fog in the normal game & in the compound. Yes, the Compound has fog, go to the helipad and you'll see it.

`1.5.0`
New features:
- Ameliorated the custom fog colour thing to add an option to customize each rank's fog colour. Also made it work better.

## Features

### TurretAmmoBoxBoom
Want to add a degree of ~~annoyance~~ fun to your regular Receiver 2 gameplay?  
Turrets' ammo boxes now **explode** if you shoot them! (and if they have any ammo left)

### FlashlightTweaks  
Allows you to drop and turn off/on your flashlight on a whim!  
Hold **"E"** with the flashlight in your hands when you're not holding a gun to drop it!   
Press **"X"** by default to toggle the flashlight.  
You can choose a custom colour for the flashlight!  
Also fixes a bug where the smoke cone's opacity wouldn't lower, even when the flashlight was out of battery.

### PostProcessTweaks
You can now change the colour of the fog :D

### DropGunEverywhere
Allow you to drop your gun in any scene, anytime.

### RobotTweaks
Fixes the Bomb Bot so that it doesn't soft-lock the game when it spots the player.  
You can now choose the colours of the lights on the killdrones! Also includes a disco option, inspired by [this](https://www.youtube.com/watch?v=welzVVJD4ok) video, by IwanPlays

### GunTweaks
For now, only fixes the main spring on the Desert Eagle, which clips through the grip.
Let me know if there's anything else that could need fixed.

### VictorianFix
For now, only fixes the floor collider on the top floor of the Victorian tile, which would block you from collecting a tape from under the turret that could spawn there.
Probably possible to add new spawns, however, doing that by code might be very time consuming.

### Config!!!!!!!!!!
You can turn on/off any of these patches anytime you want by going to BepInEx/config/CiarenceUnbelievableModifications.cfg, or by installing one of the many BepInEx [Config](https://github.com/sinai-dev/BepInExConfigManager) [Managers](https://github.com/BepInEx/BepInEx.ConfigurationManager), which allows you to do it on the fly!

## Credits timeeeeeeeeeee
- Szikaka for all the cool advice and stuff and all the code he did that's also pretty cool  
- IwanPlays for the idea of the customizable killdrone lights, and also the cool videos on Receiver :)